petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESMonitorDefault

Monitors progress of the SNES solvers (default).

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorDefault(SNES snes,PetscInt its,PetscReal fgnorm,PetscViewerAndFormat *vf)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual
| vf | - viewer and format structure

### Notes

This routine prints the residual norm at each iteration.

### Keywords

SNES, nonlinear, default, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution()

Level:intermediate
Location:src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html